Subject: Re: [bitcoin-dev] [Bitcoin Advent Calendar] Decentralized Autonomous Organizations (DAOs) Will Save Bitcoin

From: Oscar Lafarga <[email-masked]>
Date: Thu, 23 Dec 2021 13:10:48 -0500

>
> None of this particularly requires CTV, but it does require the type of
> composable and flexible software that I aspire to deliver with Sapio.

 Does this imply that there is some kind of Sapio client to be run
alongside a Bitcoin full node similar to how a Lightning node would
operate? If so, are the computation, bandwidth, and liveness requirements
for someone running Sapio contracts more or less comparable to Lightning?

The implementation approach seems pretty interesting overall and reminds me
of concepts like bitcoin bug bounties (https://bitcoinacks.com/ for
example) but perhaps with the potential for more sophisticated
functionality.

Will try to take a closer look at the https://github.com/sapio-lang/sapio
if that seems like a recommended starting point.

Thanks!

On Wed, Dec 22, 2021 at 10:47 PM Jeremy via bitcoin-dev <
[email-masked]> wrote:

> Hi Devs,
>
> Enjoy! https://rubin.io/bitcoin/2021/12/22/advent-25/
>
> I'm really excited about opportunities for capital formation to happen
> natively in Bitcoin. This is actually a really big deal and something (I
> think) to pay close attention to. This is basically like running a little
> company with shareholders inside of Bitcoin, which to me really helps us
> inhabit the "be your own bank" part of Bitcoin. None of this particularly
> requires CTV, but it does require the type of composable and flexible
> software that I aspire to deliver with Sapio.
>
> business matter:
>
> There are two more posts, and they will both be focused on getting this
> stuff out into the wild more. If you particularly have thoughts on BIP-119
> activation I would love to hear them publicly, or at your preference,
> privately.
>
> If you like or dislike BIP-119 and wish to "soft-signal" yes or no
> publicly, you may do so on https://utxos.org/signals by editing the
> appropriate file(s) and making a PR. Alternatively, comment somewhere
> publicly I can link to, send it to me, and I will make the edits.
>
> edit links:
> - for individuals/devs:
> https://github.com/JeremyRubin/utxos.org/edit/master/data/devs.yaml
> - organizations:
> https://github.com/JeremyRubin/utxos.org/edit/master/data/bizs.yaml
> - miners/pools:
> https://github.com/JeremyRubin/utxos.org/edit/master/data/hashratesnapshot.json
>
> Best,
>
> Jeremy
>
> --
> @JeremyRubin <https://twitter.com/JeremyRubin>
> <https://twitter.com/JeremyRubin>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>

-- 
Oscar Lafarga
https://www.setlife.network
<https://www.setdev.io/>